// loader runs namespace-css on file

var namespaceCss = require('./namespace-css');
var Readable = require('stream').Readable;

module.exports = function(source) {
	this.cacheable();

	var callback = this.async();
	var query = this.query.slice(1).split('&');
	var selector = query[0];
	var pseudoSelector = query[1]; 
	var result = "";

	var s = new Readable;
	s.push(source);
	s.push(null);


	var resultStream = s.pipe(namespaceCss({
		selector: selector 
	}));
	
	resultStream.on('data', function(data) {
		result += data;
	});

	resultStream.on('end', function() {
		var regexp = new RegExp(' ' + pseudoSelector, 'g');
		result = result.replace(regexp, '');	
		callback(null, result);
	});
}
